module gitlab.schukai.com/oss/libraries/go/application/configuration.git

go 1.22.0

toolchain go1.22.6

require (
	github.com/imdario/mergo v1.0.0
	github.com/kinbiko/jsonassert v1.1.1
	github.com/magiconair/properties v1.8.7
	github.com/pelletier/go-toml/v2 v2.2.3
	github.com/r3labs/diff/v3 v3.0.1
	github.com/stretchr/testify v1.9.0
	github.com/vmihailenco/msgpack/v5 v5.4.1
	gitlab.schukai.com/oss/libraries/go/network/http-negotiation.git v1.3.4
	gitlab.schukai.com/oss/libraries/go/utilities/pathfinder.git v0.9.5
	gitlab.schukai.com/oss/libraries/go/utilities/watch.git v0.4.2
	golang.org/x/exp v0.0.0-20240909161429-701f63a606c0
	gopkg.in/yaml.v3 v3.0.1
)

require (
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/fsnotify/fsnotify v1.7.0 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/vmihailenco/tagparser/v2 v2.0.0 // indirect
	golang.org/x/sys v0.25.0 // indirect
)

replace github.com/imdario/mergo => github.com/imdario/mergo v0.3.16
